/*****************************************************************************/
/*
/* Common
/*
/*****************************************************************************/

/* Global Reset */

* {
  margin: 0;
  padding: 0;
}

html, body {
  height: 100%;
}

body {
  background-color: rgb(255, 255, 255);
  font: 400 16px/1.5 "Helvetica Neue", Helvetica, Arial, sans-serif;
  line-height: 1.7em;
  text-align: center;
}

h1, h2, h3, h4, h5, h6 {
  font-size: 100%;
}

h1 {
  margin-bottom: 1em;
}

p {
  margin: 1em 0;
}

a {
  color: #00a;
}

a:hover {
  color: black;
}

/* default visited link color */
a:visited {
  color: #551A8B;
}

table {
  font-size: inherit;
  font: 100%;
}

/*****************************************************************************/
/*
/* Home
/*
/*****************************************************************************/
ul.posts {
  list-style-type: none;
  margin-bottom: 2em;
}

  ul.posts li {
    line-height: 1.75em;
  }

  ul.posts span {
    color: #aaa;
    font-family: Monaco, "Courier New", monospace;
    font-size: 80%;
  }

/*****************************************************************************/
/*
/* Site
/*
/*****************************************************************************/

.site {
  font-size: 110%;
  text-align: justify;
  width: 32em;
  margin: 3em auto 2em auto;
  line-height: 1.5em;
  position: relative;
  margin-top: 10%;
}

.home {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.avatar {
  border-radius: 50%;
  max-width: 220px;
  display: block;
  margin: 0 auto;
}

.title {
  color: #00a;
  font-weight: bold;
  margin-bottom: 2em;
}

  .site .title a {
    color: #00a;
    text-decoration: none;
  }

  .site .title a:hover {
    color: black;
  }

  .site .title a.extra {
    color: #aaa;
    text-decoration: none;
    margin-left: 1em;
  }

  .site .title a.extra:hover {
    color: black;
  }

  .site .meta {
    color: #aaa;
  }

  .site .footer {
    font-size: 80%;
    color: #666;
    border-top: 4px solid #eee;
    margin-top: 2em;
    overflow: hidden;
  }

    .site .footer .contact {
      float: left;
      margin-right: 3em;
    }

      .site .footer .contact a {
        color: #8085C1;
      }

    .site .footer .rss {
      margin-top: 0.5em;
      margin-left: 1em;
      float: right;
    }

      .site .footer .rss img {
        border: 0;
      }

/*****************************************************************************/
/*
/* Posts
/*
/*****************************************************************************/

#post {

}

  /* standard */

  #post pre {
    border: 1px solid #ddd;
    background-color: #eef;
    padding: 0 .4em;
  }

  #post ul,
  #post ol {
    margin-left: 1.35em;
  }

  #post code {
    border: 1px solid #ddd;
    background-color: #eef;
    font-size: 85%;
    padding: 0 .2em;
  }

    #post pre code {
      border: none;
    }

  #post img {
    max-width: 100%;
    padding: 1em 0;
    display: block;
    margin: 0 auto;
  }

  /* terminal */

  #post pre.terminal {
    border: 1px solid black;
    background-color: #333;
    color: white;
  }

  #post pre.terminal code {
    background-color: #333;
  }

#related {
  margin-top: 2em;
}

  #related h2 {
    margin-bottom: 1em;
  }


.color-swatch {
  display: inline-block;
  border-radius: 50%;
  height: 20px;
  width: 20px;
}

.footnotes {
  padding-top: 40px;
}

sup, sub {
  vertical-align: baseline;
  position: relative;
  top: -0.4em;
}

figure > img {
  padding-bottom: 5px;
}

figure > figcaption {
    text-align: center;
    font-size: 0.75em;
    padding-bottom: 5px;
}

#markdown-toc {
    margin-bottom: 30px;
}
